package com.ruoyi.cron.event;

import lombok.Getter;
import org.springframework.context.ApplicationEvent;

import java.time.Clock;

@Getter
public class CronTaskLogEvent extends ApplicationEvent {

  private String taskId;
  private Integer groupId;
  private String ex;


  public CronTaskLogEvent(String taskId, Integer groupId, String ex) {
    super(groupId);
    this.taskId = taskId;
    this.groupId = groupId;
    this.ex = ex;
  }

  @Override
  public Integer getSource() {
    return (Integer) super.getSource();
  }
}
